# profile/list File Reference

Go to the source code of this file.

## Classes

- class std::__profile::list< _Tp, _Allocator >
    List wrapper with performance instrumentation. More...

## Namespaces

- namespace std
- namespace std::__profile

## Functions

- template<typename _Tp , typename _Alloc > bool std::__profile::operator!= (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
- template<typename _Tp , typename _Alloc > bool std::__profile::operator< (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
- template<typename _Tp , typename _Alloc > bool std::__profile::operator<= (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
- template<typename _Tp , typename _Alloc > bool std::__profile::operator== (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
- template<typename _Tp , typename _Alloc > bool std::__profile::operator> (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
- template<typename _Tp , typename _Alloc > bool std::__profile::operator>= (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
- template<typename _Tp , typename _Alloc > void std::__profile::swap (list< _Tp, _Alloc > &__lhs, list< _Tp, _Alloc > &__rhs)

## Detailed Description

This file is a GNU profile extension to the Standard C++ Library.

Definition in file profile/list.